chcp 65001
Remove-Item -Recurse -Force pywigxjpf*\.venv -ErrorAction SilentlyContinue

Write-Output "Test pywigxjpf_ctypes"
Set-Location pywigxjpf_ctypes
# python -m venv .venv
uv venv
.\.venv\Scripts\Activate.ps1
# python -m pip install meson ninja
uv pip install meson ninja
.\build.ps1
deactivate
Set-Location ..
Read-Host "Press Enter to continue"

Write-Output "Test pywigxjpf_ffi_dynamic"
Set-Location pywigxjpf_ffi_dynamic
# python -m venv .venv
uv venv
.\.venv\Scripts\Activate.ps1
# python -m pip install meson ninja cffi setuptools
uv pip install meson ninja cffi setuptools
.\build.ps1
deactivate
Set-Location ..
Read-Host "Press Enter to continue"

Write-Output "Test pywigxjpf_ffi_meson"
Set-Location pywigxjpf_ffi_meson
# python -m venv .venv
uv venv
.\.venv\Scripts\Activate.ps1
# python -m pip install .
uv pip install .
python -m pywigxjpf.pywigxjpf
deactivate
Set-Location ..
Read-Host "Press Enter to continue"

Write-Output "Test pywigxjpf_nanobind_meson"
Set-Location pywigxjpf_nanobind_meson
# python -m venv .venv
uv venv
.\.venv\Scripts\Activate.ps1
# python -m pip install .
uv pip install .
python -m pywigxjpf.main
deactivate
Set-Location ..
