$ErrorActionPreference = "Stop"

$DIRNAME = Split-Path -Parent $MyInvocation.MyCommand.Path
Write-Output "Unarchiving non-meson repos:"
$DIRS = @("pywigxjpf_ctypes", "pywigxjpf_ffi_dynamic", "pywigxjpf_ffi_static", "pywigxjpf_ffi_static_setuptools")
foreach ($DIR in $DIRS) {
    Write-Output "Extracting $DIRNAME\$DIR.zip"
    Expand-Archive -Path "$DIRNAME\$DIR.zip" -DestinationPath . -Force
}

Write-Output "Archiving meson repos:"
$DIRS = @("pywigxjpf_ffi_meson", "pywigxjpf_nanobind_meson")
foreach ($DIR in $DIRS) {
    Write-Output "Unbundling $DIRNAME\$DIR.bundle"
    git clone -q "$DIRNAME\$DIR.bundle" "$DIR"
}
