#!/bin/bash
set -euo pipefail

cd subprojects/wigxjpf
meson setup --buildtype release build_release
meson compile -C build_release
cd ../../
# at least one of these should succeed
cp subprojects/wigxjpf/build_release/*.dll . || cp subprojects/wigxjpf/build_release/*.so . || cp subprojects/wigxjpf/build_release/*.dylib .
python ffi_builder_dynamic.py
python pywigxjpf.py
